version: '3.7'

services:
  odoo_web_service:
    image: {{ ODOO_IMAGE }}
    depends_on:
      - db
    ports:
      - "{{ ODOO_PORT }}:8069"
    volumes:
      - "{{ ODOO_DATA_VOLUME }}:/var/lib/odoo"
      - "{{ ODOO_CONFIG_VOLUME }}:/etc/odoo"
      - "{{ ODOO_ADDONS_VOLUME }}:/mnt/extra-addons"
    networks:
      - odoo_network
    environment:
      - PASSWORD_FILE=/run/secrets/postgresql_password
    secrets:
      - postgresql_password
    restart: always

  db:
    image: {{ POSTGRES_IMAGE }}
    environment:
      - POSTGRES_DB={{ POSTGRES_DB }}
      - POSTGRES_PASSWORD_FILE=/run/secrets/postgresql_password
      - POSTGRES_USER={{ POSTGRES_USER }}
      - PGDATA=/var/lib/postgresql/data/pgdata
    volumes:
      - "{{ POSTGRES_DATA_VOLUME }}:/var/lib/postgresql/data/pgdata"
    secrets:
      - postgresql_password
    networks:
      - odoo_network
    restart: always

networks:
  odoo_network:
    driver: bridge

volumes:
  {{ ODOO_DATA_VOLUME }}:
  {{ POSTGRES_DATA_VOLUME }}:

secrets:
  postgresql_password:
    file: {{ POSTGRES_PASSWORD_FILE }}